#!/usr/bin/env bash

# ESPERiC_desktop_macosインストール実行
echo
echo 'ESPERiC_desktop_macosのインストールを実行します。'
echo
more licenseAgreement.txt
read -p 'ソフトウェア使用権許諾契約書に同意する yes/no = ' AGREE
if [ $AGREE = 'yes' ]
then
  installer -pkg ESPERiC_engine-*.mpkg -target / || exit $?
  installer -pkg ESPERiC-*.mpkg -target /	 || exit $?
  pip3 install --disable-pip-version-check /usr/local/ESPERiC/esperic-*.tar.gz || exit $?
  echo 'インストールが完了しました。'
else
  echo 'インストールを中止しました。'
  exit 9
fi

# ESPERiCセットアップ実行
read -p 'セットアップを実行しますか？ yes/no = ' SETUP
if [ $SETUP = 'yes' ]
then
  /usr/local/bin/setup-ESPERiC.sh
fi
exit 0
