#!/usr/bin/bash

# ESPERiC_desktop_macosアンインストール実行
echo
echo 'ESPERiC_desktop_macosのアンインストールを実行します。'
FULL_APLNAME=ESPERiC
INSTALLDIR=/usr/local
COMMNADLIST="start-ESPERiC.sh start-EspericNote.sh start-EspericLab.sh start-restServer.sh start-EspericHub.sh stop-EspericHub.sh setup-ESPERiC.sh Rdb2Cdb.sh"


# パッケージ情報削除
sudo pkgutil --forget ${FULL_APLNAME}
rm -rf ${INSTALLDIR}/${FULL_APLNAME}
pip3 uninstall -y ${FULL_APLNAME}
for i in ${COMMNADLIST}
do
    rm -f /usr/local/bin/${i}
done

sudo pkgutil --forget ${FULL_APLNAME}-engine
rm -rf ${INSTALLDIR}/${FULL_APLNAME}_engine
# インストールファイル削除
rm -rf ${INSTALLDIR}/etc/${FULL_APLNAME}
rm -rf ${INSTALLDIR}/share/${FULL_APLNAME}
echo 'アンインストールが完了しました。'
